--- a/arch/mips/bcm63xx/nvram.c
+++ b/arch/mips/bcm63xx/nvram.c
@@ -24,6 +24,12 @@
 static struct bcm963xx_nvram nvram;
 static int mac_addr_used;
 
+/*
+ * Required export for WL
+ */
+u32 nvram_buf[5] = { 0, cpu_to_le32(20), 0, 0, 0 };
+EXPORT_SYMBOL(nvram_buf);
+
 void __init bcm63xx_nvram_init(void *addr)
 {
 	u32 crc, expected_crc;
--- a/arch/mips/mm/cache.c
+++ b/arch/mips/mm/cache.c
@@ -63,6 +63,9 @@ void (*_dma_cache_wback_inv)(unsigned lo
 void (*_dma_cache_wback)(unsigned long start, unsigned long size);
 void (*_dma_cache_inv)(unsigned long start, unsigned long size);
 
+EXPORT_SYMBOL(_dma_cache_wback_inv);
+EXPORT_SYMBOL(_dma_cache_inv);
+
 #endif /* CONFIG_DMA_NONCOHERENT */
 
 /*
